Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 2427)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 2428)
@@ -178,7 +178,7 @@
 	/**
 	 * installed extensions
 	 */
-	protected HashSet<TXMEditorExtension<T>> extensions = new HashSet<TXMEditorExtension<T>>();
+	protected HashSet<TXMEditorExtension<T>> extensions = new HashSet<>();
 	
 	
 	/**
@@ -202,7 +202,6 @@
 	 * Default constructor.
 	 */
 	public TXMEditor() {
-		
 		super();
 	}
 	
@@ -212,8 +211,7 @@
 	 * @param result
 	 */
 	public TXMEditor(TXMResult result) {
-		
-		this(new TXMResultEditorInput<TXMResult>(result));
+		this(new TXMResultEditorInput<>(result));
 	}
 	
 	/**
@@ -222,13 +220,11 @@
 	 * @param editorInput
 	 */
 	public TXMEditor(TXMResultEditorInput<TXMResult> editorInput) {
-		
 		this.setInput(editorInput); // FIXME: SJ: the input is defined twice, on time here and one time in init(), need to see if we still need the assignment here in the constructor
 	}
 	
 	@Override
 	public void init(IEditorSite site, IEditorInput input) throws PartInitException {
-		
 		this.setSite(site);
 		this.setInput(input);
 		this.result = this.getEditorInput().getResult(); // store result for debug purpose
@@ -247,7 +243,6 @@
 	 * Initializes plug-ins extensions.
 	 */
 	public void initExtensions() {
-		
 		IConfigurationElement[] config = Platform.getExtensionRegistry().getConfigurationElementsFor(TXMEditorExtension.EXTENSION_ID);
 		if (config.length > 0) {
 			
@@ -291,6 +286,7 @@
 		IPartListener2 pl = new IPartListener2() {
 			
 			// ... Other methods
+			@Override
 			public void partClosed(IWorkbenchPartReference partRef) {
 				
 				// if (getResult() != null) {
@@ -349,7 +345,6 @@
 	 * @return
 	 */
 	public GLComposite getFirstLineComposite() {
-		
 		return firstLineComposite;
 	}
 	
@@ -360,7 +355,6 @@
 	 * @return
 	 */
 	public Shell getShell() {
-		
 		if (parent != null && !parent.isDisposed()) {
 			return parent.getShell();
 		}
@@ -372,7 +366,6 @@
 	 * @return the composite displayed before the toptoolbar, containing the minimal parameters widgets
 	 */
 	public GLComposite getMainParametersComposite() {
-		
 		return mainParametersComposite;
 	}
 	
@@ -510,14 +503,13 @@
 		
 	}
 	
+	@Override
 	public void setLocked(boolean b) {
-		
 		this.locked = b;
 		this.firstLineComposite.setEnabled(!b);
 	}
 	
 	public boolean isLocked() {
-		
 		return locked;
 	}
 	
@@ -544,7 +536,7 @@
 		
 		if (!step.startsWith("notify")) return; //$NON-NLS-1$
 		
-		ArrayList<TXMEditorExtension<T>> errors = new ArrayList<TXMEditorExtension<T>>();
+		ArrayList<TXMEditorExtension<T>> errors = new ArrayList<>();
 		for (final TXMEditorExtension<T> ext : extensions) {
 			// ISafeRunnable runnable = new ISafeRunnable() {
 			// @Override
@@ -591,7 +583,6 @@
 	 * @return the composite that contains the default Bottom toolbar.
 	 */
 	public Composite getBottomToolBarContainer() {
-		
 		return bottomToolBarContainer;
 	}
 	
@@ -601,7 +592,6 @@
 	 * @return the default Top toolbar of TXMEditors
 	 */
 	public TXMEditorToolBar getTopToolbar() {
-		
 		return topToolBar;
 	}
 	
@@ -612,7 +602,6 @@
 	 * @return
 	 */
 	public GLComposite getResultArea() {
-		
 		return resultArea;
 	}
 	
@@ -622,7 +611,6 @@
 	 * @return the default bottom toolbar of editors
 	 */
 	public TXMEditorToolBar getBottomToolbar() {
-		
 		return bottomToolBar;
 	}
 	
@@ -632,7 +620,6 @@
 	 * @param colSpan
 	 */
 	public void initParentLayout(Composite parent, int colSpan) {
-		
 		GridLayout gl = GLComposite.createDefaultLayout(1);
 		parent.setLayout(gl);
 	}
@@ -644,14 +631,12 @@
 	 * @return the extendedParametersGroup
 	 */
 	public Group getExtendedParametersGroup() {
-		
 		return this.extendedParametersGroup;
 	}
 	
 	
 	@Override
 	public boolean isSaveAsAllowed() {
-		
 		// TODO Auto-generated method stub
 		return false;
 	}
@@ -687,7 +672,6 @@
 	
 	@Override
 	public void dispose() {
-		
 		notifyExtensions("notifyDispose"); //$NON-NLS-1$
 		super.dispose();
 	}
@@ -700,7 +684,6 @@
 	 * @param dirty
 	 */
 	public void setDirty(boolean dirty) {
-		
 		this.dirty = dirty;
 		
 		// FIXME: SJ: future version that enable the button ONLY if the result can compute
@@ -773,7 +756,6 @@
 	@SuppressWarnings("unchecked")
 	@Override
 	public TXMResultEditorInput<T> getEditorInput() {
-		
 		return (TXMResultEditorInput<T>) super.getEditorInput();
 	}
 	
@@ -782,8 +764,8 @@
 	 * 
 	 * @return
 	 */
+	@Override
 	public T getResult() {
-		
 		return this.getEditorInput().getResult();
 	}
 	
@@ -794,7 +776,6 @@
 	 * @return
 	 */
 	public int getIntParameterValue(String key) {
-		
 		return this.getEditorInput().getResult().getIntParameterValue(key);
 	}
 	
@@ -805,7 +786,6 @@
 	 * @return
 	 */
 	public float getFloatParameterValue(String key) {
-		
 		return this.getEditorInput().getResult().getFloatParameterValue(key);
 	}
 	
@@ -816,7 +796,6 @@
 	 * @return
 	 */
 	public double getDoubleParameterValue(String key) {
-		
 		return this.getEditorInput().getResult().getDoubleParameterValue(key);
 	}
 	
@@ -827,7 +806,6 @@
 	 * @return
 	 */
 	public boolean getBooleanParameterValue(String key) {
-		
 		return this.getEditorInput().getResult().getBooleanParameterValue(key);
 	}
 	
@@ -838,7 +816,6 @@
 	 * @return
 	 */
 	public long getLongParameterValue(String key) {
-		
 		return this.getEditorInput().getResult().getLongParameterValue(key);
 	}
 	
@@ -849,7 +826,6 @@
 	 * @return
 	 */
 	public String getStringParameterValue(String key) {
-		
 		return this.getEditorInput().getResult().getStringParameterValue(key);
 	}
 	
@@ -876,6 +852,7 @@
 	 * @param result
 	 * @param update force the editor to update its result parameters
 	 */
+	@Override
 	public JobHandler compute(final boolean update) {
 		
 		StatusLine.setMessage(TXMCoreMessages.bind(TXMUIMessages.computing, this.getResult().getName()));
@@ -1112,8 +1089,7 @@
 	 * @param editorPartId
 	 */
 	public static TXMEditor openEditor(TXMResult result, String editorPartId) {
-		
-		return openEditor(new TXMResultEditorInput<TXMResult>(result), editorPartId);
+		return openEditor(new TXMResultEditorInput<>(result), editorPartId);
 	}
 	
 	/**
@@ -1170,6 +1146,7 @@
 	 * @param update
 	 * @throws Exception
 	 */
+	@Override
 	public final void refresh(boolean update) throws Exception {
 		
 		if (this.parent.isDisposed()) return; // nothing to refresh
@@ -1190,7 +1167,7 @@
 		
 		String title = result.getName();
 		if (title.length() > MAX_NAME_LENGTH) { // limit title length
-			title = title.substring(0, MAX_NAME_LENGTH-1) + "...";
+			title = title.substring(0, MAX_NAME_LENGTH - 1) + "...";
 		}
 		this.setPartName(title);
 		// this.firePropertyChange(TXMEditor.PROP_DIRTY);
@@ -1550,7 +1527,7 @@
 	 */
 	protected List<Field> getAllParameterFields() {
 		
-		List<Field> fields = new ArrayList<Field>();
+		List<Field> fields = new ArrayList<>();
 		Class<?> clazz = this.getClass();
 		while (clazz != Object.class) {
 			fields.addAll(Arrays.asList(clazz.getDeclaredFields()));
@@ -1582,6 +1559,7 @@
 	/**
 	 * Closes the editor from the UI thread and deletes or not the linked result.
 	 */
+	@Override
 	public void close(final boolean deleteResult) {
 		
 		final EditorPart self = this;
@@ -1601,8 +1579,8 @@
 	/**
 	 * Closes the editor from the UI thread.
 	 */
+	@Override
 	public void close() {
-		
 		close(false);
 	}
 	
@@ -1616,7 +1594,6 @@
 	 * @return
 	 */
 	public static Menu initContextMenu(Composite composite, String menuId) {
-		
 		return initContextMenu(composite, menuId, null, null);
 	}
 	
@@ -1632,7 +1609,6 @@
 	 * @return
 	 */
 	public static Menu initContextMenu(Composite composite, IWorkbenchPartSite partSite, ISelectionProvider selectionProvider) {
-		
 		return initContextMenu(composite, partSite.getId(), partSite, selectionProvider);
 	}
 	
@@ -1658,7 +1634,7 @@
 			partSite.registerContextMenu(menuId, menuManager, selectionProvider);
 		}
 		else {
-			IMenuService menuService = (IMenuService) PlatformUI.getWorkbench().getActiveWorkbenchWindow().getService(IMenuService.class);
+			IMenuService menuService = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getService(IMenuService.class);
 			menuService.populateContributionManager(menuManager, "popup:" + menuId); //$NON-NLS-1$
 		}
 		
@@ -1672,7 +1648,6 @@
 	 * @return the composite that contains the <b>default Top</b> TXMEditorToolBar parameters panels
 	 */
 	public GLComposite getParametersGroupsComposite() {
-		
 		return extendedParametersComposite;
 	}
 	
@@ -1700,7 +1675,6 @@
 	 * @param commandId
 	 */
 	public static void addDoubleClickCommandListener(final Table table, final int column, final String commandId) {
-		
 		addDoubleClickCommandListener(table, column, column, commandId);
 	}
 	
@@ -1771,13 +1745,15 @@
 	}
 	
 	
+	@Override
 	public Composite getContainer() {
-		
 		return parent;
 	}
 	
+	/**
+	 * Layouts the parent.
+	 */
 	public void layout(boolean b) {
-		
 		if (parent != null && !parent.isDisposed()) {
 			parent.layout(b);
 		}
@@ -1792,7 +1768,7 @@
 	public void addLinkedEditor(final EditorPart editor) {
 		
 		if (this.linkedEditors == null) {
-			this.linkedEditors = new ArrayList<EditorPart>();
+			this.linkedEditors = new ArrayList<>();
 		}
 		if (!this.linkedEditors.contains(editor)) {
 			this.linkedEditors.add(editor);
@@ -1849,7 +1825,6 @@
 	 * @param editor
 	 */
 	public void removeLinkedEditor(EditorPart editor) {
-		
 		if (this.linkedEditors != null) {
 			if (this.linkedEditors.remove(editor)) {
 				// Debug
@@ -1868,7 +1843,6 @@
 	 * @return
 	 */
 	public ArrayList<EditorPart> getLinkedEditors() {
-		
 		return this.linkedEditors;
 	}
 	
@@ -1879,7 +1853,6 @@
 	 * @return
 	 */
 	public EditorPart getLinkedEditor(Class editorClass) {
-		
 		EditorPart editor = null;
 		if (this.linkedEditors != null) {
 			for (int i = 0; i < this.linkedEditors.size(); i++) {
@@ -1899,8 +1872,7 @@
 	 * @return
 	 */
 	public ArrayList<EditorPart> getLinkedEditors(Class editorClass) {
-		
-		ArrayList<EditorPart> editors = new ArrayList<EditorPart>();
+		ArrayList<EditorPart> editors = new ArrayList<>();
 		if (this.linkedEditors != null) {
 			for (int i = 0; i < this.linkedEditors.size(); i++) {
 				if (this.linkedEditors.get(i).getClass().equals(editorClass)) {
@@ -1917,7 +1889,6 @@
 	 * @return the computeButton
 	 */
 	protected ToolItem getComputeButton() {
-		
 		return computeButton;
 	}
 	
@@ -1941,7 +1912,6 @@
 	 * @return the parent
 	 */
 	public Composite getParent() {
-		
 		return parent;
 	}
 	
